/**
* @file mrbt_version.cpp
* @brief mrbt demo version information
* Version: v1.1
* created_by:   SKS
* date_created: Wed July 22 11:11:09 2009
*
* DIALOGIC CONFIDENTIAL
* Copyright © 2007 Dialogic Corporation. All Rights Reserved
*
* The source code contained or described herein and all documents related to
* the source code (Material) are owned by Dialogic Corporation or its suppliers
* or licensors. Title to the Material remains with Dialogic Corporation or its
* suppliers and licensors. The Material contains trade secrets and proprietary
* and confidential information of Dialogic or its suppliers and licensors. The
* Material is protected by worldwide copyright and trade secret laws and treaty
* provisions. No part of the Material may be used, copied, reproduced,
* modified, published, uploaded, posted, transmitted, distributed, or disclosed
* in any way without Dialogic's prior express written permission.
*
* No license under any patent, copyright, trade secret or other intellectual
* property right is granted to or conferred upon you by disclosure or delivery
* of the Materials, either expressly, by implication, inducement, estoppel or
* otherwise. Any license under such intellectual property rights must be
* express and approved by Dialogic in writing.
*
*
*          DESCRIPTION:
*                      This is the 'more recent' version history file for the m3g-sip_gateway demo
*
*                      Version number looks like this:
*                      "KEYWORD TMmmBBAA-<build> exename <optional string>"
*
* Where:
*       KEYWORD = DLcid
*       T  = type (0-Prod, 1-Beta, 2-Alpha, 3-Expr, 4-Special)
*       M  = major number (0-9)
*       mm = minor number (00-99)
*       BB = beta number  (00-99)
*       AA = alpha/experimental number (00-99)
*       <build> - build number (reset to 0 when major/minor/alpha/beta change)
*       <exename> - name of file this is a version of
*       <optional string> - optional comment string
*
************************************************************************************************/
/*
 *                                                                ---Type: 0=Prod, 1=Beta, 2=Alpha, 3=Exp
 *                                                               | -----Major Number
 *                                                               ||  -----Minor Number
 *                                                               || |  -----Beta Number
 *                                                               || | |  -----Alpha/Exp Number
 *                                                               || | | |
 *                                                               || | | |
 *                                                               vv v v v
*/
const char * MRBT_DEMO_BINARY_VERSION_STRING = 						"DLcid 11100100-02 mrbt";
const char * MRBT_DEMO_VERSION_STRING     = 							"01100000-02";
const char * MRBT_DEMO_RELEASE_STRING           = 					"MRBT_DEMO";

/***********************************************************************************************
// Version:       1.10 Beta 1 Build: 02
************************************************************************************************
* Fixed disconnect issue when FRAMING_LOST or ESC received before
* GCEV_DISCONNECT and in APP_STATE_MRBT_PLAY_STARTED state

* fixed issue when only one way LC is established and B-Party has answered
* the call then application was not changing state to media started hence
* dev_portdisconnect fails because half way media was started and application
* has not set to IDLE first.

************************************************************************************************
// Version:       1.10 Beta 1 Build: 01
************************************************************************************************
1. First version 1.1 
2. supports audio and video both calls.
3. Audio calls to just answer, play a prompt and then drop.
4. Video codec supports: H263 and MPEG4
5. Audio codec supports: amr
6. Transcode option also configurable.
7. Allow user to configure two different codec for incoming and outgoing call
8. All the configuration parameters are manadatory
9. It can allow to play mpeg4 and h263 files both
10. Single threaded version, Multithreaded to follow later some point of time
11. Press 'q' or 'Q' to quit application
12. It can take config file as in input from command line, if not provided mrbt_config.cfg is by default.
13. It can start H.245 processing before or after the answer of the call, if network allows to do so.
14. If network allow to start H.245 processing before answer of the call then it can play MRBT
15. There is a flag MRBT_AFTER_ANM in makefile to start H245 before or after answer
16. It has state machine to maintain the call states.

*/
